.heading {
  display: block;
  margin: 0;
  padding: 0;
  line-height: 1.4;
  font-size: unset;
  font-style: normal;

  &._h1 {
    font-family: var(--font-heading);
    font-weight: var(--font-weight-extra-bold);
    font-size: 1.5rem;
    color: var(--color-main-darkest);
  }

  &._h2 {
    font-family: var(--font-heading);
    font-weight: var(--font-weight-medium);
    font-size: 1.125rem;
    color: var(--color-main-darkest);
  }

  &._h3 {
    font-weight: var(--font-weight-medium);
    font-size: 1rem;
    color: var(--color-main);
  }

  &._h4 {
    font-weight: var(--font-weight-bold);
    font-size: 0.875rem;
    color: var(--color-main);
  }

  &._h5 {
    font-weight: var(--font-weight-medium);
    font-size: 0.75rem;
    color: var(--color-main);
  }

  &._prime-font {
    font-family: var(--font-heading);
  }

  &._second-font {
    font-family: var(--font-regular);
  }

  @media (--viewport-medium) {
    &._h2 {
      font-size: 1.375rem;
    }
  }

  @media (--viewport-mobile) {
    &._h1 {
      font-size: 1.25rem;
      line-height: 1.5rem;
    }

    &._h2 {
      font-size: 1.125rem;
      font-weight: var(--font-weight-regular);
    }

    &._h3 {
      font-size: 1.125rem;
    }
  }
}
